'use server'
import { Box } from "@chakra-ui/react";
import UserForm from "../component/form";
import { getRoles } from "@/app/lib/role/action";
import { getIbcRequestList } from "@/app/lib/ibc/action";
import { getProjects } from "@/app/lib/projects/action";


export default async function Create() {
    const searchParams = { pagination: false };
    const [roles, ibcs, projects] = await Promise.all([getRoles(searchParams), getIbcRequestList(searchParams), getProjects(searchParams)]);

    return (
      <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
        <UserForm isEdit={null} roles={roles} ibcs={ibcs.data} projects={projects?.data}/>
      </Box>
    );
}